"use strict";
const common_vendor = require("../../common/vendor.js");
const WORKORDER_update_work_rework_method = require("./method.js");
const WORKORDER_update_work_rework_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWorkStore.js");
require("../../gen/Apis.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/naviHelper.js");
require("../../common/libraries/setTabBar.js");
if (!Array) {
  const _easycom_hs_cell_textarea2 = common_vendor.resolveComponent("hs-cell-textarea");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_cell_textarea2 + _easycom_hs_footer2)();
}
const _easycom_hs_cell_textarea = () => "../../components/hs-cell-textarea/hs-cell-textarea.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_cell_textarea + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = WORKORDER_update_work_rework_method.method) == null ? void 0 : _a.init(e);
    });
    return (_ctx, _cache) => {
      var _a;
      return {
        a: common_vendor.o(($event) => common_vendor.unref(WORKORDER_update_work_rework_model.useModel).formData.value.rework_reason = $event),
        b: common_vendor.p({
          borderTop: true,
          required: true,
          title: "返工原因",
          placeholder: "请详细描述问题情况，包括具体位置现象等",
          valueModel: common_vendor.unref(WORKORDER_update_work_rework_model.useModel).formData.value.rework_reason
        }),
        c: common_vendor.o((_a = common_vendor.unref(WORKORDER_update_work_rework_method.method)) == null ? void 0 : _a.handleSubmit),
        d: common_vendor.p({
          btnParimaryName: "提交"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/WORKORDER/update_work_rework/index.vue"]]);
wx.createPage(MiniProgramPage);
